path: /build/build/virtualbox-modules-kernel-6.6-7.0.20.163906.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y sys-apps/kmod virtual/modutils pkgconf virtual/libelf virtual/linux-sources
    && luet cleanup
  - epro list && emerge -j ${JOBS} app-emulation/virtualbox-modules -pv -t
  - |
    emerge -j ${JOBS} app-emulation/virtualbox-modules
  - |
    eval 'rm -rf /virtualbox-modules || true' && mkdir /virtualbox-modules && \
    luet-portage --dir /virtualbox-modules app-emulation/virtualbox-modules
  - for i in /virtualbox-modules/lib/modules/6.6.45-macaroni/misc/*.ko ; do zstd ${i}
    -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bc256c0a23caf8e00975cf843a644ea68e9e520184dd5cea6837a492ac73896b
  package:
    name: virtualbox-modules
    version: 7.0.20.163906
    category: kernel-6.6
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.6
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-31 06:52:01.16228862 +0000 UTC m=+113.042845614
    labels:
      emerge.packages: app-emulation/virtualbox-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.6.45
    treedir: /build/packages
  package_dir: /virtualbox-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/etc/modprobe.d/
  - ^/usr/lib/modules-load.d/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f7ab2b3d37f4866e106eb023edf2aee46ff775cabf57c5304ece08a3a7653399
compressiontype: zstd
files:
- lib/modules/6.6.45-macaroni/misc/vboxdrv.ko.zst
- lib/modules/6.6.45-macaroni/misc/vboxnetadp.ko.zst
- lib/modules/6.6.45-macaroni/misc/vboxnetflt.ko.zst
package_cacheimage: ""
runtime:
  name: virtualbox-modules
  version: 7.0.20.163906
  category: kernel-6.6
  requires:
  - name: virtualbox-common
    version: '>=0'
    category: kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: app-emulation/virtualbox-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.6.45
